# Create USMC Task - CreateUSMCTask

## Overview

Create USMC Task






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `CreateUSMCTask`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.scloudsg.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Name** | string | Task name, length cannot exceed 128 |**Yes**|
| **AgentId** | string | Client ID |**Yes**|
| **TargetRegion** | string | Target Region |**Yes**|
| **TargetZone** | string | Target Availability Zone |**Yes**|
| **TargetVPCId** | string | Target VPCId, default is 'default' |**Yes**|
| **TargetSubnetId** | string | Target subnet ID, default is 'default' |**Yes**|
| **PlanId** | string | Migration Plan ID |**Yes**|
| **TargetUHostPassword** | string | Target Machine Password |**Yes**|
| **Incremental** | string | Whether to enable automatic incrementation, default is off true/false |No|
| **Interval** | string | When Incremental is set to true, it specifies the interval for incremental synchronization, in minutes. |No|
| **BandwidthLimit** | string | The maximum speed setting, unit in MB/s, public network/dedicated line (0, 56], user network (0, 1024], if not filled/exceeded, the default is peak value. |No|
| **MachineType** | string | Machine Type |No|
| **MinimalCpuPlatform** | string | CPU Platform |No|
| **EIPOperatorName** | string | [If EIP is bound, this parameter is required] The line of the Elastic IP. Enumeration value: International: International BGP: Bgp |No|
| **EIPBandwidth** | string | EIP Bandwidth |No|
| **EIPPayMode** | string | Elastic IP Bandwidth, Enumeration values: "Traffic", Traffic Billing; "Bandwidth", Bandwidth Billing; "ShareBandwidth", Shared Bandwidth Mode. "Free": Free Bandwidth Mode. Default is "Bandwidth". |No|
| **EIPShareBandwidthId** | string | The ID of the bound shared bandwidth, only effective when PayMode is set to ShareBandwidth. |No|
| **DataDiskType** | string | Data disk type, enumeration value is the same as the disk type. Use the system disk type when not specified. |No|
| **Gpu** | int | Number of GPU card cores. Only GPU models support this field (optional range related to MachineType+GpuType). |No|
| **GpuType** | string | GPU type, enumeration values ["K80", "P40", "V100", "T4","T4A", "T4S","2080Ti","2080Ti-4C","1080Ti", "T4/4", "MI100", "V100S",2080","2080TiS","2080TiPro","3090","A100"], required when MachineType is G. |No|
| **Cpu** | int | Number of virtual CPU cores. The default value is the number of cores of the source host. |No|
| **Memory** | int | Memory size. Unit: MB. The default value is the memory size of the source machine. |No|
| **UDSetId** | string | [Private Zone Properties] Zone ID |No|
| **UDHostId** | string | [Private Zone Property] Host ID of the zone |No|
| **HostBinding** | boolean | [UDSet Attributes] Enable the residence association attribute for the UDSet UHost. |No|
| **TargetUHostChargeType** | string | The billing type of the target machine, the value can be Year, Month, Dynamic, default is Dynamic. |No|
| **TargetUHostQuantity** | string | The billing cycle of the target machine, default is 1, can be 0 when StopOverHostChargeType is Month. |No|
| **TargetUHostPrivateIp** | string | Target machine's internal network IP |No|
| **SystemDiskType** | string | System disk type, enumeration values: "CLOUD_RSSD", RSSD cloud disk; "CLOUD_SSD", SSD cloud disk. Default is CLOUD_RSSD. |No|
| **SecGroupId.N.Id** | string | Security Group ID. Up to 5 security groups can be bound at the same time. |No|
| **SecGroupId.N.Priority** | string | Security Group Priority. Value range [1, 5] |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **Data** | object | CreateUSMCTaskResData |No|




## Example

### Request Example
    
```
https://api.scloudsg.com/?Action=CreateUSMCTask
&Name=RiTNTfPv
&AgentId=fEKYvBcp
&TargetRegion=XupsFLht
&TargetZone=ZXRhmlcT
&Incremental=wkKiRedm
&Interval=zAZwpcgP
&BandwidthLimit=YmwhOkfL
&TargetVPCId=WiLHvNbH
&TargetSubnetId=gxWleKNJ
&ProjectId=KEmOYzUb
&SetId=YXXrRIpv
&StopOverHostChargeType=YplVJDmC
&StopOverHostQuantity=qnyKulrZ
&IP=khlqvxqf
&Password=CtImCWpC
&EIPOperatorName=etdVEuxt
&EIPBandwidth=CpvCFxDZ
&EIPPayMode=KlvWQjQH
&EIPShareBandwidthId=WlhDIMqw
&TargetHostname=SquOMcbU
&TargetHostname=IIrTEUPs
&TargetHostname=qTdShCoy
&MachineType=bSqxEHWD
&MinimalCpuPlatform=vWearvLt
&MachineType=GhydOYic
&MinimalCpuPlatform=iPNPxFpm
&DiskType=iNHVCuhG
&Gpu=4
&GpuType=SaiFhPSB
&Cpu=4
&Memory=8
&UDSetId=RYiqXUdz
&UDHostId=XsryFEbR
&HostBinding=true
&DataDiskType=MNZBGIFr
&UDSetId=EeCiGrUv
&UDHostId=oQVGkXlz
&HostBinding=false
&SecGroupId.N.Id=IFAkhyeu
&SecGroupId.N.Priority=FRNcCBTn
```

### Response Example
    
```json
{
  "Action": "CreateUSMCTaskResponse",
  "Data": {},
  "Message": "aJpSfwDp",
  "RetCode": 0
}
```





